Skip to main content

Create a payment link (v2)

PUT 

https://core-prod.malipopay.co.tz/api/v1/payment

Creates a shareable payment link using the PaymentLinkIntentPayload schema.

Request

Bodyrequired

    amountnumberrequired

    Amount the customer should pay.

    Example: 120000
    phoneNumberstringrequired

    Optional customer phone number to prefill on the checkout page.

    Example: 255742200105

Responses

Payment link created successfully

Schema
    successbooleanrequired
    Example: true
    codeintegerrequired

    MALIPOPAY-specific status code (see error codes reference)

    Example: 800
    messagestringrequired
    Example: Operation completed successfully
    data object

    Endpoint-specific payload

    property name*any

    Endpoint-specific payload

Authorization: apiToken

name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
curl -L -X PUT 'https://core-prod.malipopay.co.tz/api/v1/payment' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>' \
-d '{
"amount": 120000,
"phoneNumber": "255742200105"
}'
Request
Base URL
https://core-prod.malipopay.co.tz
Auth
Body required
{
  "amount": 120000,
  "phoneNumber": "255742200105"
}
Response

Click the Send API Request button above and see the response here!